Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: knew4v5 2.6.0 Testing

  1. #11
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,322
    Quote Originally Posted by mvallevand View Post
    Ok I missed that one but fortunately that on has the workaround on the Kodi forum. Should be fixed in 2.6.2 now.
    That got me past the big red X errors. And now I've getting the same error as pskout:
    Code:
    2019-04-06 22:33:08.273 T:1192153968    INFO: initializing python engine.
    2019-04-06 22:33:08.273 T:1192153968   DEBUG: CPythonInvoker(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py): start processing
    2019-04-06 22:33:08.965 T:1192153968   DEBUG: -->Python Interpreter Initialized<--
    2019-04-06 22:33:08.965 T:1192153968   DEBUG: CPythonInvoker(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py): the source file to load is "/storage/.kodi/addons/script.kodi.knew4v5/default.py"
    2019-04-06 22:33:08.966 T:1192153968   DEBUG: CPythonInvoker(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py): setting the Python path to /storage/.kodi/addons/script.kodi.knew4v5:/storage/.kodi/addons/script.module.dateutil/lib:/storage/.kodi/addons/script.module.future/libs:/storage/.kodi/addons/script.module.kodi-six/libs:/storage/.kodi/addons/script.module.six/lib:/usr/lib/python27.zip:/usr/lib/python2.7:/usr/lib/python2.7/plat-linux2:/usr/lib/python2.7/lib-tk:/usr/lib/python2.7/lib-old:/usr/lib/python2.7/lib-dynload:/usr/lib/python2.7/site-packages:/usr/lib/python2.7/site-packages/gtk-2.0
    2019-04-06 22:33:08.966 T:1192153968   DEBUG: CPythonInvoker(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py): entering source directory /storage/.kodi/addons/script.kodi.knew4v5
    2019-04-06 22:33:08.966 T:1192153968   DEBUG: CPythonInvoker(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py): instantiating addon using automatically obtained id of "script.kodi.knew4v5" dependent on version 2.1.0 of the xbmc.python api
    2019-04-06 22:33:09.221 T:1192153968   DEBUG: /storage/.kodi/addons/script.kodi.knew4v5
    2019-04-06 22:33:09.222 T:1192153968   DEBUG: ['/storage/.kodi/addons/script.kodi.knew4v5/resources/src', '/storage/.kodi/addons/script.kodi.knew4v5/resources/lib', '', '/storage/.kodi/addons/script.kodi.knew4v5', '/storage/.kodi/addons/script.module.dateutil/lib', '/storage/.kodi/addons/script.module.future/libs', '/storage/.kodi/addons/script.module.kodi-six/libs', '/storage/.kodi/addons/script.module.six/lib', '/usr/lib/python27.zip', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/gtk-2.0', u'/storage/.kodi/addons/script.module.future/libs/future/standard_library/Lib']
    2019-04-06 22:33:09.224 T:1192153968   DEBUG: knew4v5 Version: 2.6.2 Date: 2019-04-06
    2019-04-06 22:33:09.540 T:1192153968   DEBUG: Reading Settings.xml
    2019-04-06 22:33:09.740 T:1192153968   DEBUG: CAddonSettings[script.kodi.knew4v5]: loading setting definitions
    2019-04-06 22:33:09.740 T:1192153968   DEBUG: CAddonSettings[script.kodi.knew4v5]: trying to load setting definitions from old format...
    2019-04-06 22:33:09.743 T:1192153968   DEBUG: CAddonSettings[script.kodi.knew4v5]: loading setting values
    2019-04-06 22:33:09.748 T:1192153968   DEBUG: EXCEPTION: : Traceback (most recent call last):
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/default.py", line 45, in <module>
                                                    my_settings = XNEWA_Settings()
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/resources/src/XNEWA_Settings.py", line 53, in __init__
                                                    self.loadFromSettingsXML()
                                                  File "/storage/.kodi/addons/script.kodi.knew4v5/resources/src/XNEWA_Settings.py", line 80, in loadFromSettingsXML
                                                    self.XNEWA_PREBUFFER = addon.getSetting("prebuffer") // 4
                                                TypeError: unsupported operand type(s) for //: 'str' and 'int'
    2019-04-06 22:33:09.748 T:1192153968    INFO: CPythonInvoker(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py): script successfully run
    2019-04-06 22:33:09.749 T:1192153968   DEBUG: onExecutionDone(37, /storage/.kodi/addons/script.kodi.knew4v5/default.py)
    2019-04-06 22:33:09.982 T:1192153968    INFO: Python interpreter stopped
    2019-04-06 22:33:09.982 T:1192153968   DEBUG: Thread LanguageInvoker 1192153968 terminating

  2. #12
    Join Date
    May 2006
    Location
    Canada
    Posts
    28,165
    Yes pkscout pointed that one out it should be fixed in 2.6.3 along with another couple of integer conversions that got lost when I changed things for LE

    Martin

  3. #13
    Join Date
    Jun 2007
    Location
    St. Paul, MN, USA
    Posts
    1,322
    Quote Originally Posted by mvallevand View Post
    Yes pkscout pointed that one out it should be fixed in 2.6.3 along with another couple of integer conversions that got lost when I changed things for LE
    Yea! I got it working after I changed my PIN.

    I'm about to head to bed now. But I'll try using for my regular viewing tomorrow.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •